Subject: Re: [PATCH] [POWERPC] (testers ?) Fix sleep on some powerbooks

From: Wolfgang Pfeiffer <[email-masked]>
Date: Tue, 4 Mar 2008 17:15:18 +0100

Hi Ben, Gaudenz - Hi All

On Mon, Mar 03 2008, at 17:27 +1100, Benjamin Herrenschmidt wrote:
> The PMU backlight code would kick in during sleep/resume even on
> machines that use a different backlight method. This appears to
> break sleep on my PowerBook, though I can't test that patch at
> the moment as the machine died while I was bisecting.
> 
> So if anybody around has one of those latest revision PowerPC
> PowerBooks, the one just before they went to Intel, 

yes, I think so:

$ cat /proc/cpuinfo 
processor       : 0
cpu             : 7447A, altivec supported
clock           : 1666.666000MHz
revision        : 0.5 (pvr 8003 0105)
bogomips        : 33.15
timebase        : 8320000
platform        : PowerMac
machine         : PowerBook5,8
motherboard     : PowerBook5,8 MacRISC3 Power Macintosh 
detected as     : 287 (PowerBook G4 15")
pmac flags      : 00000019
L2 cache        : 512K unified
pmac-generation : NewWorld

> and have a
> problem with suspend/resume, please test this and let me know
> if it helps.

It helps. Thanks a lot .. :) ... 

After installing the kernel with your patch, and booting to it, I
successfully ran the machine into sleep mode, several times: On a
console, after booting, and with no-one logged in. On a
KDE-Login-screen, with root logged in on a console. And just a few
minutes ago in a fully working KDE/KDM X environment.

Pressing the power button on this machine put the system to sleep, and
it resumed when pressing the same button again ... 

I uploaded this fresh kernel .deb, patched with your code, up to
rapidshare: 
http://rapidshare.com/files/96992135/linux-image-2.6.25-rc3-g7704a8b-with-ben.s-pmu-patch_2008.02.29_powerpc.deb.html

md5sum for the file above is 7a7613e0c52e179acf7caacaa3890901

Please note - my favorite part - this kernel does not have an initrd
image included .. :)

I attach my /etc/modules file, just in case ...

For those not familiar to rapidshare procedures: Just choose something
like "Free" on the page above, wait a few secs, then chose an
appropriate server near you, and type in the code you see in the image.

I don't have my own web space for binaries like this, so sorry if this
is a little annoying ...

For those not subscribed to [email-masked]:
Here's Ben's original email, with the patch:
http://patchwork.ozlabs.org/linuxppc/patch?order=state&id=17107

Thanks again for your work, Ben  .... :)

Last, but certainly not least: Thanks Gaudenz, for pointing me to
"git bisect", for your response as a whole to the Debian powerpc list
... :) 

My public key can be found with the 'keyserver' URL in the signature ..

Best Regards

> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> ---
> 
>  drivers/macintosh/via-pmu-backlight.c |    5 +++--
>  1 file changed, 3 insertions(+), 2 deletions(-)
> 
> --- linux-work.orig/drivers/macintosh/via-pmu-backlight.c	2008-03-03 17:24:44.000000000 +1100
> +++ linux-work/drivers/macintosh/via-pmu-backlight.c	2008-03-03 17:25:12.000000000 +1100
> @@ -17,7 +17,7 @@
>  
>  [ ... ]

-- 
Wolfgang 

http://heelsbroke.blogspot.com/
http://keyserver.mine.nu/pks/lookup?search=0xE3037113&fingerprint=on